com.r3corda.node.services.api / Checkpoint

# Checkpoint

`data class Checkpoint`

### Constructors

<init> | `Checkpoint(serialisedFiber: SerializedBytes<ProtocolStateMachineImpl<*>>, awaitingTopic: String?, awaitingPayloadType: String?, receivedPayload: Any?)`

### Properties

awaitingPayloadType | `val awaitingPayloadType: String?`
awaitingTopic | `val awaitingTopic: String?`
receivedPayload | `val receivedPayload: Any?`
serialisedFiber | `val serialisedFiber: SerializedBytes<ProtocolStateMachineImpl<*>>`